Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.search.lucene
Class LuceneSearchSession.DualIndexTupleCollector

    java.lang.Object
      org.apache.lucene.search.Collector
          org.modeshape.search.lucene.AbstractLuceneSearchEngine.TupleCollector
              org.modeshape.search.lucene.LuceneSearchSession.DualIndexTupleCollector

Enclosing class:
  LuceneSearchSession

    protected static class LuceneSearchSession.DualIndexTupleCollector

extends AbstractLuceneSearchEngine.TupleCollector

This collector is responsible for loading the value for each of the columns into each tuple array.

Constructor Summary
`protected` | `LuceneSearchSession.DualIndexTupleCollector(LuceneSearchSession session, QueryResults.Columns columns)`

Method Summary
`boolean` | `acceptsDocsOutOfOrder()`
`void` | `collect(int doc)`
`int` | `getLocationIndex()` Get the location index.
`LinkedList<Object[]>` | `getTuples()` Get the tuples.
`void` | `setNextReader(org.apache.lucene.index.IndexReader reader, int docBase)`
`void` | `setScorer(org.apache.lucene.search.Scorer scorer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneSearchSession.DualIndexTupleCollector

    protected LuceneSearchSession.DualIndexTupleCollector(LuceneSearchSession session,
                                                          QueryResults.Columns columns)

Method Detail

### getTuples

    public LinkedList<Object[]> getTuples()

  Description copied from class: `AbstractLuceneSearchEngine.TupleCollector`
  Get the tuples.

  Specified by:
    `getTuples` in class `AbstractLuceneSearchEngine.TupleCollector`
  Returns:
    tuples

### acceptsDocsOutOfOrder

    public boolean acceptsDocsOutOfOrder()

  Specified by:
    `acceptsDocsOutOfOrder` in class `org.apache.lucene.search.Collector`
  See Also:
    `Collector.acceptsDocsOutOfOrder()`

### getLocationIndex

    public int getLocationIndex()

  Get the location index.

  Returns:
    locationIndex

### setNextReader

    public void setNextReader(org.apache.lucene.index.IndexReader reader,
                              int docBase)

  Specified by:
    `setNextReader` in class `org.apache.lucene.search.Collector`
  See Also:
    `Collector.setNextReader(org.apache.lucene.index.IndexReader, int)`

### setScorer

    public void setScorer(org.apache.lucene.search.Scorer scorer)

  Specified by:
    `setScorer` in class `org.apache.lucene.search.Collector`
  See Also:
    `Collector.setScorer(org.apache.lucene.search.Scorer)`

### collect

    public void collect(int doc)
                 throws IOException

  Specified by:
    `collect` in class `org.apache.lucene.search.Collector`
  Throws:
    `IOException`
  See Also:
    `Collector.collect(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.